<?php
/**
 *
 * @package phpBB Extension - Page Scroller
 * @copyright (c) Igor Peshkov (dark_diesel) <https://plus.google.com/+IgorPeshkov>
 * @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
 *
 * For full copyright and license information, contact with developer
 */


if (!defined('IN_PHPBB')) {
  exit;
}

if (empty($lang) || !is_array($lang)) {
  $lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//


$lang = array_merge($lang, array(
  // Settings page
  'ACP_PAGESCROLLER_SETTINGS'          => 'Ajustes del desplazador de página',
  'ACP_PAGESCROLLER_POSITION_SETTINGS' => 'Ajustes de posición',
  'ACP_PAGESCROLLER_SETTING_SAVED'     => '¡Los ajustes del desplazador de página han sido guardados correctamente!',

  'ACP_PAGESCROLLER_VERTICAL_POS'        => 'Posición vertical',
  'ACP_PAGESCROLLER_VERTICAL_POS_TOP'    => 'Superior',
  'ACP_PAGESCROLLER_VERTICAL_POS_MIDDLE' => 'Medio',
  'ACP_PAGESCROLLER_VERTICAL_POS_BOTTOM' => 'Pie',

  'ACP_PAGESCROLLER_HORIZONTAL_POS'       => 'Posición horizontal',
  'ACP_PAGESCROLLER_HORIZONTAL_POS_LEFT'  => 'Izquierda',
  'ACP_PAGESCROLLER_HORIZONTAL_POS_RIGHT' => 'Derecha',

  'ACP_PAGESCROLLER_STYLE_SETTINGS'                 => 'Ajustes de estilo',
  'ACP_PAGESCROLLER_STYLE_HIDE_BUTTONS'             => 'Ocultar botones',
  'ACP_PAGESCROLLER_STYLE_HIDE_BUTTONS_DESCRIPTION' => 'Ocultar botones que no son necesarios. En la parte superior, ocultar el botón superior, y en la parte inferior, ocultar el botón inferior.',
  'ACP_PAGESCROLLER_STYLE_BGCOLOR'                  => 'Color de fondo del desplazador de página',
  'ACP_PAGESCROLLER_STYLE_BGCOLOR_DESCRIPTION'      => 'Color de fondo para los botones del desplazador de página',
  'ACP_PAGESCROLLER_STYLE_CHEVRONCOLOR'             => 'Color del Chevron en el desplazador de pagina',
  'ACP_PAGESCROLLER_STYLE_CHEVRONCOLOR_DESCRIPTION' => 'Color de fondo de los iconos Chevron del desplazador de página',

  'ACP_PAGESCROLLER_SPEED_SETTINGS'                => 'Ajustes de velocidad',
  'ACP_PAGESCROLLER_STYLE_TYPE'                    => 'Estilo del desplazador de página',
  'ACP_PAGESCROLLER_STYLE_TYPE_DESCRIPTION'        => 'Estilo del Chevron en el desplazador de página. Si está habilitada, la imagen SVG',
  'ACP_PAGESCROLLER_SPEED_SCROLL_UP'               => 'Velocidad del desplazamiento hacia arriba',
  'ACP_PAGESCROLLER_SPEED_SCROLL_UP_DESCRIPTION'   => 'Duración del desplazamiento hacia la parte superior de la página',
  'ACP_PAGESCROLLER_SPEED_SCROLL_DOWN'             => 'Velocidad del desplazamiento hacia abajo',
  'ACP_PAGESCROLLER_SPEED_SCROLL_DOWN_DESCRIPTION' => 'Duración del desplazamiento hacia la parte inferior de la página',

  'ACP_PAGESCROLLER_ANIMATION_SETTINGS'                              => 'Ajustes de animación',
  'ACP_PAGESCROLLER_ANIMATION_HIDESHOW_ENABLE'                       => 'Habilitar Animación MostrarOcultar (HideShow)',
  'ACP_PAGESCROLLER_ANIMATION_HIDESHOW_DESCRIPTION'                  => 'Si la animación está habilitada, el desplazador de página saldrá de la página, y aparecerá cuando esté en vuelo (hover).',
  'ACP_PAGESCROLLER_ANIMATION_HIDESHOW_DURATION_SHOW'                => 'Velocidad del deslice (Slide In)',
  'ACP_PAGESCROLLER_ANIMATION_HIDESHOW_DURATION_SHOW_DESCRIPTION'    => 'Duración de la animación para mostrar el desplazador de página',
  'ACP_PAGESCROLLER_ANIMATION_HIDESHOW_DURATION_HIDE'                => 'Velocidad del deslice (Slide Out)',
  'ACP_PAGESCROLLER_ANIMATION_HIDESHOW_DURATION_HIDE_DESCRIPTION'    => 'Duración de la animación para ocultar el desplazador de página',
  'ACP_PAGESCROLLER_ANIMATION_HIDESHOW_VISIBLE_PART'                 => 'Parte visible del desplazador de página (px)',
  'ACP_PAGESCROLLER_ANIMATION_HIDESHOW_VISIBLE_PART_DESCRIPTION'     => 'Parte visible de la barra de desplazamiento, cuando la página se desplaza en estado Oculto.',
  'ACP_PAGESCROLLER_ANIMATION_HIDESHOW_DISTANCE_TO_PAGE'             => 'Distancia a la página (px)',
  'ACP_PAGESCROLLER_ANIMATION_HIDESHOW_DISTANCE_TO_PAGE_DESCRIPTION' => 'Distancia entre la página y desplazamiento, cuando el Desplazador de Página está en estado Mostrar.',
));
